.search {
    top: 0;
    z-index: 850;
    right: rem(15);
    width: calc(100% - 30px);
    position: absolute;
    opacity: 0;
    visibility: hidden;

    &.open {
        opacity: 1;
        visibility: visible;
    }

    &__form {
        width: 100%;
        height: rem(42);
        display: block;
        position: relative;
        background: var(--dark);
        border-radius: rem(12);
    }

    &__icon {
        z-index: 5;
        fill: white;
        top: rem(10);
        left: rem(12);
        width: rem(20);
        height: rem(20);
        display: block;
        position: absolute;
    }

    &__field {
        width: 100%;
        height: rem(42);
        display: block;
        color: white;
        font-size: rem(14);
        line-height: rem(20);
        padding: rem(10) rem(12) rem(10) rem(36);
        border-radius: rem(12);
        background: var(--dark);
        border: 1px solid rgba(255, 255, 255, 0.2);

        &::placeholder {
            color: rgba(255, 255, 255, 0.7);
        }

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;

            &::placeholder {
                color:transparent;
            }
        }
    }

    &__result {
        left: 0;
        top: calc(100% + 4px);
        width: 100%;
        padding: rem(32);
        font-size: rem(14);
        line-height: rem(20);
        position: absolute;
        border-radius: rem(12);
        background: var(--dark);
        max-height: calc(100vh - 100px);
        overflow-y: auto;
        opacity: 0;
        visibility: hidden;

        &.open {
            opacity: 1;
            visibility: visible;
        }
    }

    &__info {
        opacity: 0.7;

        &:not(:last-child) {
            margin-bottom: rem(32);
        }
    }

    &__list {
        margin: 0;
        padding: 0;
        list-style: none;
        display: flex;
        flex-direction: column;
        row-gap: rem(12);
    }

    &__link {
        color: white;
        font-weight: 600;
        text-decoration: none;
        transition: var(--transition-time);

        &:hover {
            color: rgba(255, 255, 255, 0.7);
            text-decoration: none;
            transition: var(--transition-time);
        }
    }

    @include media-breakpoint-up(md) {
        right: 0;
        width: rem(530);
    }

    @include media-breakpoint-up(lg) {
        width: rem(360);
    }
    @include media-breakpoint-up(xl) {
        width: 100%;
    }
}
